Mailinglist Archive: opensuse-security (409 mails)

< Previous Next >
Re: [suse-security] SuSE Security Announcement: mod_ssl, mm (SuSE-SA:2002:028)
  • From: V K <hidden@xxxxxxxxxxxxxxx>
  • Date: Sun, 4 Aug 2002 20:45:27 +1200
  • Message-id: <20020804084527.GA10166@xxxxxxxxxxxxxxx>
On Fri 02 Aug 2002 21:19:38 NZST +1200, Christoph Illnar wrote:

> Hi,
>
> yes, backing-up my rpm-db and rebuilding it was the solution. now all
> packages updated as expected. seems that there is a bug or something like
> that in rpm so that the db got corrupted.

SuSE has fiddled with rpm in some way to make rpm understand the
hacked .patch.rpm packages. rpm is buggy. With rpm-3.0.6-278 (shipped
with SuSE 8.0), rpm -UvhF ....patch.rpm ....rpm will corrupt the rpm
data base as well as make rpm terminate with error. The rpm-3.0.6-294
just installed will not fix the database up with --rebuilddb, a
downgrade to -278 and --rebuilddb is required.

When not touching these .patch.rpm at all, all is fine.

IMHO these .patch.rpm are more trouble than they're worth. One even
needs to download both .rpm and .patch.rpm, as -UvhF will only work
with .rpm and YOU only with .patch.rpm. This, as far as I am concerned,
is a waste of approx 90% (the patch ones are a little smaller, but not
much) bandwidth and disk space.

All this is not directly security-related though.

Volker

[bcc feedback@xxxxxxx]

--
Volker Kuhlmann is possibly list0570 with the domain in header
http://volker.orcon.net.nz/ Please do not CC list postings to me.


< Previous Next >
Follow Ups
References